org.apache.maven.scm.provider.tfs.command.consumer

## Class ServerFileListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.consumer.FileListConsumer
  - - org.apache.maven.scm.provider.tfs.command.consumer.ServerFileListConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class ServerFileListConsumer
      extends FileListConsumer

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.provider.tfs.command.consumer.FileListConsumer

      `currentDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerFileListConsumer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmFile` | `getScmFile(String filename)`

    - ### Methods inherited from class org.apache.maven.scm.provider.tfs.command.consumer.FileListConsumer

      `consumeLine, getFiles, hasBeenFed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerFileListConsumer

          public ServerFileListConsumer()

  - ### Method Detail

    - #### getScmFile

          protected ScmFile getScmFile(String filename)

      Overrides:
        `getScmFile` in class `FileListConsumer`

Copyright © 2003–2015. All rights reserved.